# Create a Reader

Creates a new `Reader` object.

## Request

```curl
curl https://api.stripe.com/v1/terminal/readers \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "label=Blue Rabbit" \
  -d registration_code=simulated-wpe \
  -d location={{LOCATION_ID}}
```

### Response

```json
{
  "id": "tmr_FDOt2wlRZEdpd7",
  "object": "terminal.reader",
  "action": null,
  "device_sw_version": "2.37.2.0",
  "device_type": "simulated_wisepos_e",
  "ip_address": "0.0.0.0",
  "label": "Blue Rabbit",
  "last_seen_at": 1681320543815,
  "livemode": false,
  "location": "tml_FDOtHwxAAdIJOh",
  "metadata": {},
  "serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
  "status": "online"
}
```

## Returns

Returns a `Reader` object if creation succeeds.

## Parameters

- `registration_code` (string, required)
  A code generated by the reader used for registering to an account.

- `label` (string, optional)
  Custom label given to the reader for easier identification. If no label is specified, the registration code will be used.

- `location` (string, required)
  The location to assign the reader to.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
